Package org.eclipse.m2m.atl.adt.ui.actions

## Class IndentAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.texteditor.ResourceAction
        - - org.eclipse.ui.texteditor.TextEditorAction
          - - org.eclipse.m2m.atl.adt.ui.actions.IndentAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.ui.texteditor.IUpdate`

    public class IndentAction
    extends org.eclipse.ui.texteditor.TextEditorAction

Indents a line or range of lines in a Java document to its correct position. No complete AST must be present, the indentation is computed using heuristics. The algorith used is fast for single lines, but does not store any information and therefore not so efficient for large line ranges.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`IndentAction​(java.util.ResourceBundle bundle, java.lang.String prefix, org.eclipse.ui.texteditor.ITextEditor editor, boolean isTabAction)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`
`void` `update()`

### Methods inherited from class org.eclipse.ui.texteditor.TextEditorAction

`canModifyEditor, getTextEditor, setEditor, validateEditorInputState`

### Methods inherited from class org.eclipse.ui.texteditor.ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndentAction

    public IndentAction​(java.util.ResourceBundle bundle,
                        java.lang.String prefix,
                        org.eclipse.ui.texteditor.ITextEditor editor,
                        boolean isTabAction)

Creates a new instance.

Parameters:
  `bundle` - the resource bundle
  `prefix` - the prefix to use for keys in `bundle`
  `editor` - the text editor
  `isTabAction` - whether the action should insert tabs if over the indentation

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`
See Also:
  `Action.run()`

#### update

    public void update()

Specified by:
  `update` in interface `org.eclipse.ui.texteditor.IUpdate`
Overrides:
  `update` in class `org.eclipse.ui.texteditor.TextEditorAction`
See Also:
  `TextEditorAction.update()`